---

image: gradle:4.10.2

variables:
  GRADLE_OPTS: "-Dorg.gradle.daemon=false"
  DOCKER_TLS_CERTDIR: ""
  # DOCKER_HOST: "tcp://docker:2375"
  DOCKER_DRIVER: overlay2

stages:
  - test
  - deploy

test:
  stage: test
  script: gradle test

deploy:
  stage: deploy
  script:
    - gradle jar
    - mkdir artifacts
    - cp example/*.command artifacts/
    - cp -rf example/sample-json artifacts/
    - cp build/libs/excel-to-json.jar artifacts/
  artifacts:
    paths:
      - artifacts
